Ruby 2.1 已结束支持,不再释放更新补丁和修复

王练
 王练
发布于 2017年04月25日
收藏 3

Ruby 2.1.10 于去年3月底发布,此后 Ruby 2.1 系列的支持一直处于安全维护阶段。现在,一年过去了,这个阶段已经结束。自2017年3月31日起,Ruby 2.1 系列的所有支持都已结束,来自最新 Ruby 版本的 Bug 和安全修复将不再被导入 2.1 ,并且 2.1 也不会再有更新补丁释放。官方建议立即升级至 2.4 或 2.3 版本。

关于当前支持的 Ruby 版本

Ruby 2.4 系列

目前处于维护阶段。将在必要时释放 Bug 修复和更新补丁。如果发现关键的安全问题,将为此发布紧急修复。

Ruby 2.3 系列

目前处于维护阶段。将在必要时释放 Bug 修复和更新补丁。如果发现关键的安全问题,将为此发布紧急修复。

Ruby 2.2 系列

目前在安全维护阶段。除了安全修复之外,不再有 Bug 修复。如果发现关键的安全问题,将为此发布紧急修复。计划在2018年3月底结束对 Ruby 2.2 系列的支持。

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Ruby 2.1 已结束支持,不再释放更新补丁和修复
加载中
返回顶部
顶部